<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-live-preview-desktop.qdoc -->
  <title>Previewing on Desktop | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Previewing on Desktop</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-live-preview.html" />
  <link rel="next" href="creator-live-preview-devices.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-live-preview.html">Previewing</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-live-preview-devices.html">Previewing on Devices</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Previewing on Desktop</h1>
<span class="subtitle"></span>
<!-- $$$creator-live-preview-desktop.html-description -->
<div class="descr"> <a name="details"></a>
<p>To preview the currently active QML file on the desktop:</p>
<ul>
<li>Select <b>Build</b> &gt; <b>QML Preview</b>.</li>
<li>Select the <img src="images/live_preview.png" alt="" /> (<b>Show Live Preview</b>) button.</li>
<li>Press <b>Alt+P</b>.</li>
</ul>
<p class="centerAlign"><img src="images/qtcreator-live-preview.png" alt="" /></p><p>To preview any QML file that belongs to the project, right-click the project name in the <b>Project</b> tab in the <b>Navigator</b>, and select <b>Preview file</b>.</p>
<p>To preview the whole UI, select <b>Show Live Preview</b> when viewing the main QML UI file of the project.</p>
<p>To view the UI in different sizes, select the zooming level on the toolbar.</p>
<p>The frames-per-second (FPS) refresh rate of animations is displayed in the <b>FPS</b> field.</p>
</div>
<!-- @@@creator-live-preview-desktop.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-live-preview.html">Previewing</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-live-preview-devices.html">Previewing on Devices</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
